Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 14 Jan 2022 17:55:40 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? The delivery executive you send me a track for didn't come to my area and he told me at 11.49pm  on January 12, 2022 that he didn't find my place, and he will reschedule for tomorrow (today) and today I send him on WhatsApp to know when will come he told me he won't come and another executive will, its now 10.38 pm and no one came or called. 
My main question when I'll receive my stuff? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3763250